RemoteProcessException (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.RemoteProcessException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Class RemoteProcessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.catalina.tribes.RemoteProcessException

All Implemented Interfaces:
  java.io.Serializable

    public class RemoteProcessException

extends java.lang.RuntimeException

Title: RemoteProcessException

Description: Message thrown by a sender when USE_SYNC_ACK receives a FAIL_ACK_COMMAND.
This means that the message was received on the remote node but the processing of the message failed. This message will be embedded in a ChannelException.FaultyMember

Version:
  1.0
Author:
  Filip Hanik
See Also:
  `ChannelException`, Serialized Form

Constructor Summary
`RemoteProcessException()`
`RemoteProcessException(java.lang.String message)`
`RemoteProcessException(java.lang.String message, java.lang.Throwable cause)`
`RemoteProcessException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteProcessException

    public RemoteProcessException()

### RemoteProcessException

    public RemoteProcessException(java.lang.String message)

### RemoteProcessException

    public RemoteProcessException(java.lang.String message,
                                  java.lang.Throwable cause)

### RemoteProcessException

    public RemoteProcessException(java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.